%global pypi_name mmengine
%global pypi_version 0.9.0
%define anolis_release 1

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        Engine of OpenMMLab projects

License:        None
URL:            https://github.com/open-mmlab/mmengine
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(opencv) >= 3
BuildRequires:  python3dist(setuptools)

%description
MMEngine is a foundational library for training deep learning models based on PyTorch. 
It provides a solid engineering foundation and frees developers from writing redundant 
codes on workflows. It serves as the training engine of all OpenMMLab codebases, which 
upport hundreds of algorithms in various research areas. Moreover, MMEngine is also 
generic to be applied to non-OpenMMLab projects.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(opencv) >= 3
%description -n python3-%{pypi_name}
MMEngine is a foundational library for training deep learning models based on PyTorch. 
It provides a solid engineering foundation and frees developers from writing redundant 
codes on workflows. It serves as the training engine of all OpenMMLab codebases, which 
upport hundreds of algorithms in various research areas. Moreover, MMEngine is also 
generic to be applied to non-OpenMMLab projects.


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Thu Oct 26 2023 Zhongling He <zhonglingh@linux.alibaba.com> - 0.9.0-1
- Initial package.